# queque

It is a component that maintains a data window in the form of a queue based on the value input as the source property (source).
The change in the source value that occurs sequentially is continuously maintained in the internal queue structure, and when it exceeds the minimum queue size (default value 1), it is transmitted as data to cause data propagation.
The queue size is maintained only up to the set queue size, and if it exceeds the queue size, the first value is removed to maintain the maximum queue size.

data has the form of an array with sources as elements.

```
[source(n), source(n-1), ..., source-3, source-2, source-1]
```

## properties

- Queue size: The maximum number of data that can be put in the queue
- Minimum queue size: The minimum queue size to deliver data

## value-property

- Since the "source" property is designated as the value property, it becomes the value property of this component.
